<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!-- 
Copyright (c) 2011, Texas Instruments. All rights reserved.

This program and the accompanying materials are made available under the 
terms of the Eclipse Public License v1.0 and Eclipse Distribution License
v. 1.0 which accompanies this distribution. The Eclipse Public License is
available at http://www.eclipse.org/legal/epl-v10.html and the Eclipse
Distribution License is available at 
    http://www.eclipse.org/org/documents/edl-v10.php.

Contributors:
   Texas Instruments - initial implementation
-->

<gep name="XDC/System" title="Core System Services" version="1">

<page name="Module" title="Module Settings">
<html><body><table>
  <tr>
    <td>
      <form>
        <p>The System module provides basic "printf" output and system terminiation support.</p>
        <p> </p>
      </form>
    </td>
  </tr>
  <tr><td colspan="2">
    <control type="checkbox" label="Add System to my configuration" value="value:this.$used" bold="true"/></td>
  </tr>
  <tr></tr>
  <tr><td>
    <h1>Required Settings</h1>
    <table>
      <tr>
        <td><control type="label" label="System provider"/></td>
        <td><control type="editbox" 
                    value="value:this.SupportProxy"
                  tooltip="value:this.SupportProxy.$summary"/></td>
      </tr>
    </table>
  </td></tr>
  <tr>
  <td>
    <h1>Exit Handling Options</h1>
    <table>
      <tr>
        <td><control type="label" label="Maximum 'atexit' functions"/></td>
        <td><control type="editbox" 
             value="value:this.maxAtexitHandlers"
             tooltip="value:this.maxAtexitHandlers.$summary"/></td>
      </tr>
      <tr>
        <td><control type="label" label="Abort hook"/></td>
        <td><control type="editbox" 
             value="value:this.abortFxn"
             tooltip="value:this.abortFxn.$summary"/></td>
      </tr>
      <tr>
        <td><control type="label" label="Exit hook"/></td>
        <td><control type="editbox" 
             value="value:this.exitFxn"
             tooltip="value:this.exitFxn.$summary"/></td>
      </tr>
    </table>
  </td>
  <td>
    <h1>Extended Format Options</h1>
    <table>
      <tr>
        <td><control type="label" label="System support"/></td>
        <td><control type="editbox" 
             value="value:this.extendedFormats"
             tooltip="value:this.extendedFormats.$summary"/></td>
      </tr>
    </table>
  </td>
  </tr>
</table></body></html>

</page>

<properties name="Advanced" title="All Options" enabled="true" visible="true" link="this"/>
</gep>
<!--
/*
 * @(#) xdc.runtime; 2, 1, 0,0; 11-8-2017 17:11:27; /db/ztree/library/trees/xdc/xdc-D20.1/src/packages/
 */
-->

